[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#739115: marked as done (ITP: python-pies -- library for writing programs for both Python 2 and 3)



Your message dated Thu, 22 May 2014 11:00:10 +0000
with message-id <E1WnQjK-0006hp-K5@franck.debian.org>
and subject line Bug#739115: fixed in python-pies 2.6.1-1
has caused the Debian Bug report #739115,
regarding ITP: python-pies -- library for writing programs for both Python 2 and 3
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
739115: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=739115
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: wnpp
Severity: wishlist
Owner: Per Andersson <avtobiff@gmail.com>

* Package name    : python-pies
  Version         : 2.6.0
  Upstream Author : Timothy Crosley <timothy.crosley@gmail.com>
* URL             : https://github.com/timothycrosley/pies
* License         : Expat
  Programming Lang: Python
  Description     : library for writing programs for both Python 2 and 3

 Pies is a Python 2 and 3 compatibility layer with the philosophy that all
 code should be Python 3 code. Starting from this viewpoint means that
 when running on Python 3 pies adds virtually no overhead.
 .
 Instead of providing a bunch of custom methods (leading to Python code
 that looks out of place on any version) pies aims to backport as many
 of the Python 3 API calls, imports, and objects to Python 2 - relying
 on special syntax only when absolutely necessary.


This is a dependency for frosted, which I also filed an ITP for.

A similar package is python-six.

I plan to maintain it in collab-maint.


--
Per

--- End Message ---
--- Begin Message ---
Source: python-pies
Source-Version: 2.6.1-1

We believe that the bug you reported is fixed in the latest version of
python-pies, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 739115@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Per Andersson <avtobiff@gmail.com> (supplier of updated python-pies package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 21 May 2014 11:47:22 +0200
Source: python-pies
Binary: python-pies python3-pies python-pies2overrides
Architecture: source all
Version: 2.6.1-1
Distribution: unstable
Urgency: low
Maintainer: Per Andersson <avtobiff@gmail.com>
Changed-By: Per Andersson <avtobiff@gmail.com>
Description: 
 python-pies - compatibility layer for Python 2 and 3 (Python 2 interface)
 python-pies2overrides - overrides for pies when running on Python 2
 python3-pies - compatibility layer for Python 2 and 3 (Python 3 interface)
Closes: 739115
Changes: 
 python-pies (2.6.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #739115)
Checksums-Sha1: 
 a5d6f3e1f51bc8ba426cddedbb4c413cb15df661 2115 python-pies_2.6.1-1.dsc
 98a219a5087a88fdae56cef2fc8cb5803d7c73e4 48187 python-pies_2.6.1.orig.tar.gz
 2407beaa7b167f64843274c7bc4e0adc24bc1219 2540 python-pies_2.6.1-1.debian.tar.xz
 2d5742ac754b0f9bee8636a648361a7a5aa3fc82 10066 python-pies_2.6.1-1_all.deb
 27e2c56de5bb92991c92aa3f18ef30a2976536a1 10126 python3-pies_2.6.1-1_all.deb
 c2136d5223090abc82586086e0d9e19d52317a1a 3720 python-pies2overrides_2.6.1-1_all.deb
Checksums-Sha256: 
 e0495bc674015e2ed635210505ceb0e45aa27110b13defe493e4d875923c4565 2115 python-pies_2.6.1-1.dsc
 11f80ba032589f493d1e6df60dbee222c81d33ddeff07eec85dea0fcf3dc06b8 48187 python-pies_2.6.1.orig.tar.gz
 e4fa663f9f4425d49a14bf862bc391f7650b12e449ea47382fcd34242de52e89 2540 python-pies_2.6.1-1.debian.tar.xz
 ccef2cdfaa418cc89733c48cb36104fc031fe0e96f1d6dd395e8e34bf2b84bb7 10066 python-pies_2.6.1-1_all.deb
 936b582fb7c7053c464e0933ac796536268f7b9e79c7dfce143af754839338b2 10126 python3-pies_2.6.1-1_all.deb
 d615eb93e441af135be1c24bcc3c2c176c0a6df6116af69940e266edf21cde3e 3720 python-pies2overrides_2.6.1-1_all.deb
Files: 
 3dedfaf39f051250907638124ed2841e 10066 python optional python-pies_2.6.1-1_all.deb
 2b61a97b1f8648f7f17b99239aaa53fd 10126 python optional python3-pies_2.6.1-1_all.deb
 aba64eaa2ce4c41645293e6f2d8e89a2 3720 python optional python-pies2overrides_2.6.1-1_all.deb
 9546f5fdd8533e63a92709fd5e640bde 2115 python optional python-pies_2.6.1-1.dsc
 8afdb2eec4f088d6d5db854b163149f5 48187 python optional python-pies_2.6.1.orig.tar.gz
 18b33131af068da1d32273f8c2b38ed8 2540 python optional python-pies_2.6.1-1.debian.tar.xz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJTfHoCAAoJELGIrlV59JL4DVwP/jbwjd6YblbYumn1cwBT6KYV
yGicdJW4TjxxI0TExNaeoa+R6BoAXX/VWGI4H6AhWpJMlEgZ2b7o9js7Q0iCXLjw
h2wlP28681OfvfcACZeH5jmGr7K30xKdyWKRbgwNrNUC/cRj4hq2z9fHwm8fJY5f
rV69ECjjOMsTSUE//ofuEi05/Dnx2NEjnmvUXI3yn6NGRzAt4l1Ky8hXQBth7Omp
4KRpw9tl6s2LBaK6BOIxMJ/Aok4SHt4D/4XH2H53YGCvisHQPrqEZIu/Bipzpd6m
juMEjXOZsZ+E4/64KTwTMWUKa3hZEqPUAyjXFEmEKRlegyo87t2BJJ8BLgA1YZ3+
9BOy+4VKxxC4rbqzGqCQmw/GJC7UNLzz2XlHRrt2ddDNNUwaCPlHzqyfv2Y1jMu/
I1plfup6dBAD1jVEBVpp8O1VvFYEVIDEMb1X2CalitdkiM9HpO8njX6F+Ll8CuZ0
SFW3vx+FlyvVIwb4hHK2zbG6uGrFre2Xg5HxVNuglGnY0K/kqodz8aIkn2SgslcB
PIRVPunyinhmcGOSFB4GAz92XESjbyu/M4Ld6lzTYu6vXLXr5+CmCidyaycJQktf
GOTSit1an9fiQqbTvRPTIWIM+k7DB3J+79pVJQt+C0LB9uNJXi0oE4qyCah5bQ51
K8N0znJkA4Jq8hUvMnFH
=+CgJ
-----END PGP SIGNATURE-----

--- End Message ---

Reply to: